QXmppDiscoveryIq::Identity Class Reference

Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery. More...

`#include <QXmppDiscoveryIq.h>`

## Public Member Functions

| Identity (const Identity &other)
Identity & | operator= (const Identity &other)
QString | category () const
void | setCategory (const QString &category)
QString | language () const
void | setLanguage (const QString &language)
QString | name () const
void | setName (const QString &name)
QString | type () const
void | setType (const QString &type)

## Detailed Description

Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery.

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp